﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Brilliant.Data.Common
{
    public class ConnectionInfoBase
    {
        /// <summary>
        /// 数据源
        /// </summary>
        public string DataSource { get; set; }

        /// <summary>
        /// 数据库
        /// </summary>
        public string DataBase { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        public string Uid { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        public string Pwd { get; set; }

        /// <summary>
        /// 连接字符串格式
        /// </summary>
        public string ConnectionStringFormat { get; set; }

        private string _connectionString;

        /// <summary>
        /// 连接字符串
        /// </summary>
        public string ConnectionString
        {
            get
            {
                if (!String.IsNullOrEmpty(ConnectionStringFormat) && String.IsNullOrEmpty(_connectionString))
                {
                    _connectionString = String.Format(ConnectionStringFormat, DataSource, DataBase, Uid, Pwd);
                    return _connectionString;
                }
                return _connectionString;
            }
            set { _connectionString = value; }
        }
    }
}
