﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;

namespace Brilliant.Data
{
    public class SQL
    {
        private List<IDbDataParameter> _parameters;
        private string _cmdText;
        private CommandType _cmdType;

        public SQL() { }

        public SQL(string cmdText)
        {
            this._cmdText = cmdText;
        }

        /// <summary>
        /// 查询指令
        /// </summary>
        public string CmdText
        {
            get { return _cmdText; }
            set { _cmdText = value; }
        }

        /// <summary>
        /// 指令类型
        /// </summary>
        public CommandType CmdType
        {
            get { return _cmdType; }
            set { _cmdType = value; }
        }

        /// <summary>
        /// 查询语句参数列表
        /// </summary>
        public IDbDataParameter[] Parameters
        {
            get
            {
                if (_parameters != null)
                {
                    return _parameters.ToArray();
                }
                return null;
            }
        }

        /// <summary>
        /// 添加参数
        /// </summary>
        /// <param name="parameter">参数</param>
        public void AddParameter(IDbDataParameter parameter)
        {
            this._parameters.Add(parameter);
        }
    }
}
